package com.engine.salary.remote.cbs8.config;

import com.thoughtworks.xstream.annotations.XStreamAlias;
import com.thoughtworks.xstream.annotations.XStreamAsAttribute;
import com.thoughtworks.xstream.annotations.XStreamImplicit;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@XStreamAlias("config")
public class EBS2ECConfig {
    @XStreamAlias("name")
    @XStreamAsAttribute
    private String name;

    @XStreamImplicit(itemFieldName = "table")
    private List<Table> tables;

    @Data
    public static class Table {
        @XStreamAlias("name")
        @XStreamAsAttribute
        private String name;

        @XStreamAlias("key")
        @XStreamAsAttribute
        private String key;

        @XStreamAlias("modeId")
        @XStreamAsAttribute
        private Integer modeId;

        @XStreamImplicit(itemFieldName = "field")
        private List<Field> fields;

        @Data
        public static class Field {
            @XStreamAlias("name")
            @XStreamAsAttribute
            private String name;

            @XStreamAlias("key")
            @XStreamAsAttribute
            private String key;

            @XStreamAlias("ebsKey")
            @XStreamAsAttribute
            private String ebsKey;

            @XStreamAlias("unique")
            @XStreamAsAttribute
            private boolean unique;

        }
    }
}
