package com.engine.salary.remote.cbs8.request;

import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.List;

@Data
@EqualsAndHashCode(callSuper = true)
public class GetTransactionDetailRequest extends CBS8BaseRequest {
    /**
     * 开始日期    格式为yyyy-mm-dd
     */
    private String startDate;
    /**
     * 结束日期    格式为yyyy-mm-dd
     */
    private String endDate;
    /**
     * 日期类型    0-交易日期
     */
    private String dateType;
    /**
     * 账户列表    查询账户列表，不传默认返回全部
     */
    private List<String> accountNoList;
    /**
     * 银行类型列表    例如招行CMB，银行类型枚举见附录4.1.5
     */
    private List<String> bankTypeList;
    /**
     * 币种列表    见附录币种枚举，4.1.1
     */
    private List<String> currencyList;
    /**
     * 明细来源
     * B：银行，即银行直联
     * U：用户，即手工/ERP接口导入
     * 不传默认查全部
     */
    private String detailedSources;
    /**
     * 明细类型    1-当日明细 2-历史明细 与明细日期无关，仅标识数据来源银行的不同接口
     */
    private String currentFlag;
    /**
     * 借贷类型    1-借；2-贷
     */
    private String loanType;
    /**
     * 账户性质列表    客户在公共设置>基础信息>账户性质查询自定义内容，例如AA-综合户，此处传值“AA”
     */
    private List<String> accountNatureList;
    /**
     * 银行流水号    银行流水号
     */
    private String bankSerialNumber;
    /**
     * 交易流水号    交易流水号，由CBS8定义生成的唯一标识
     */
    private Long transactionSerialNumber;
    /**
     * 单位编码列表    客户在公共设置>基础信息>组织机构维护，例如0001-XX科技有限公司，此处传0001
     */
    private List<String> unitCodeList;
    /**
     * ERP业务参考号    erpSerialNumber
     */
    private String erpSerialNumber;
    /**
     * 款项性质列表
     */
    private List<String> paymentNatureList;

}
